# POST /agent-proposals/:proposal_id/execute-result

**Resource:** [Agent Proposals](./agent-proposals.md)  
**MCP tool:** `report_agent_proposal_execution`  
**Scopes:** `agent-ops:write`  
**Write operation:** yes

EVE handler reports the result of executing an approved proposal.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `proposal_id` | path | string | yes |  |
| `status` | body | string | yes |  |
| `result` | body | object | no |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/agent-proposals/:proposal_id/execute-result"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"status":"...","result":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`